CTYPE1 not found error with ctlike and Fermi data
Description

I'm looking for making a fits on Fermi data with ctools. I followed the tutorial in the ctools documentation (same source, same

parameter and xml configuration file, I just use the last IRF (P8R3_SOURCE_V2)). When I run ctlike i have got this error (ctlike.log):

2019-03-21T09:46:45: ************************************************************************

2019-03-21T09:46:45: *                                    ctlike                                    

2019-03-21T09:46:45: * ---------------------------------------------------------------------------- *

2019-03-21T09:46:45: * Version: 1.5.2                                                               *

2019-03-21T09:46:45: *************************************************************************

2019-03-21T09:46:46: * ERROR encounterted in the execution of ctlike. Run aborted ...

2019-03-21T09:46:46: * ERROR in GFitsHeaderCard& GFitsHeader::at(std::string&): Invalid argument. Keyword "CTYPE1" not

found in FITS header.

2019-03-21T09:46:46:

2019-03-21T09:46:46: Application "ctlike" terminated after 1 wall clock seconds, consuming 0.11 seconds of CPU time.

After modification of the observation xml by puting random name for fits file and see if an error occured, it's look like the error come

from the srcmaps fits file.

History

#1 - 03/21/2019 03:30 PM - Tibaldo Luigi

This is a known issue (#2850). It is due to the removal of some WCS keywords from the output of gtsrcmap in the latest versions of the Fermi Science

Tools

https://github.com/fermi-lat/Likelihood/issues/29

A fix from the Gammalib side is on its way, in the mean time you can tweak the srcmap file to make it work with the current version, please find a code

snippet below

from astropy.io import fits

srcmap = 'srcmaps.fits'

hdulist = fits.open(srcmap)

hd0 = hdulist[0].header

for card in hd0.cards:

    if card.keyword[0]=='C':

        for hdu in hdulist[3:]:

            hdu.header.append(card)

hdulist.writeto(srcmap,overwrite=True)
#2 - 03/21/2019 04:42 PM - de Bony Mathieu

Thanks, it's works. Did you know when the last IRF of Fermi will be supported by ctools ? ctlike works if I use P8R2_SOURCE_V6 but not if I use

P8R3_SOURCE_V2.

#3 - 03/21/2019 04:52 PM - Knödlseder Jürgen

- Project changed from ctools to GammaLib

- Status changed from New to Rejected

Duplication of existing issue #2850. Issue #2850 was fixed.

#4 - 03/21/2019 04:55 PM - Tibaldo Luigi

P8R3 IRFs are already supported in the development version.

#5 - 03/21/2019 04:57 PM - de Bony Mathieu

Ok Thanks for the information

Powered by TCPDF (www.tcpdf.org)

04/19/2024 2/2

http://www.tcpdf.org

